%define	major	0
%define	api_version 1.0

%define	libname %mklibname %{name}-%{api_version}_ %{major}
%define	libnamedev %mklibname %{name} -d

Summary:	OpenGL extension to GTK 2.0 or later
Name:		gtkglext
Version:	1.2.0
Release: 	%mkrel 21
License:	LGPLv1
Group:		System/Libraries
URL:		http://gtkglext.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/gtkglext/%{name}-%{version}.tar.bz2
Patch0:		gtkglext-support-pango.diff
Patch1:		gtkglext-1.2.0-newer-gtk.patch
Patch2:		gtkglext-1.2.0-pangox.patch
Patch3:		gtkglext-1.2.0-automake-1.13.patch
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(gdk-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.0.0
BuildRequires:	pkgconfig(pango) >= 1.0.0
BuildRequires:	pkgconfig(pangox)

%description
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget. 

%package -n	%{libname}
Summary:	OpenGL extension to GTK 2.0 or later
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{libname}
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget. 

%package -n	%{libnamedev}
Summary:	OpenGL extension to GTK 2.0 or later
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{name}-devel
Obsoletes:	%{_lib}gtkglext-1.0_0-devel < %{version}-%{release}

%description -n %{libnamedev}
Libraries and includes files you can use for GtkGLExt development.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .gtk
%patch2 -p0
%patch3 -p1 -b .automake-1_13

%build
autoreconf -vfi
%configure2_5x --disable-static
%make

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib*-%{api_version}.so.%{major}
%{_libdir}/lib*-%{api_version}.so.%{major}.*

%files -n %{libnamedev}
%doc AUTHORS ChangeLog TODO README
%doc %{_datadir}/gtk-doc/html/gtkglext
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/%{name}-%{api_version}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4


%changelog
* Mon Jun 05 2017 blino <blino> 1.2.0-21.mga6
+ Revision: 1106805
- rebuild for typelib

* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-20.mga6
+ Revision: 945474
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-19.mga5
+ Revision: 750714
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-18.mga5
+ Revision: 680015
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.0-17.mga4
+ Revision: 505363
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-16.mga3
+ Revision: 352879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 1.2.0-15.mga3
+ Revision: 338676
- patch3: fix build with automake 1.13

* Fri Sep 28 2012 fwang <fwang> 1.2.0-14.mga3
+ Revision: 298881
- drop versioned req
- deal with new pangox
- bump rel
- revert to 1.2 base tarball

* Thu Sep 27 2012 tv <tv> 1.2.0-13.mga3
+ Revision: 298627
- rebuild for new pango

* Thu Sep 27 2012 tv <tv> 1.2.0-12.mga3
+ Revision: 298604
- rebuild for new pango

* Thu Sep 27 2012 fwang <fwang> 1.2.0-11.mga3
+ Revision: 298570
- update doc list
- update file list
- fix str fmt
- fix linkage
- update br
- update to latest snapshot

* Wed Feb 15 2012 ovitters <ovitters> 1.2.0-10.mga2
+ Revision: 209342
- further clean spec

* Tue Sep 13 2011 fwang <fwang> 1.2.0-9.mga2
+ Revision: 142972
- drop .la files
- update devel pacakge name

* Fri May 27 2011 mikala <mikala> 1.2.0-8.mga2
+ Revision: 100569
- Update patch1 (fix a crash with celestia mga #1195)
- Remove mdk macros
- imported package gtkglext


* Fri Dec 03 2010 Funda Wang <fwang@mandriva.org> 1.2.0-8mdv2011.0
+ Revision: 605774
- fix build
- build with latest gtk

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2.0-6mdv2010.0
+ Revision: 425078
- rebuild

* Fri Nov 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-5mdv2009.1
+ Revision: 300800
- rebuilt against new libxcb

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-4mdv2009.0
+ Revision: 221115
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-3mdv2008.1
+ Revision: 170879
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.2.0-2mdv2008.1
+ Revision: 126430
- kill re-definition of %%buildroot on Pixel's request


* Mon Feb 26 2007 Emmanuel Andry <eandry@mandriva.org> 1.2.0-2mdv2007.0
+ Revision: 126153
- buildrequires libgdk_pixbuf2.0-devel
- buildrequires gdk-pixbuf2-devel
- add sourceforge patch for pango support
- Import gtkglext

* Thu Aug 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.0-1mdv2007.0
- 1.2.0
- %%mkrel
- cleanups
- drop P0 (merged upstream)
- fix summary-ended-with-dot

* Wed May 04 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.6-3mdk
- 
- From Guillaume Rousse
 - use %%configure macro
 - spec cleanup
 - rpmbuildupdate aware

* Mon Jul 26 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.6-2mdk
- DIRM

* Thu Mar 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6

